org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryDiscardMessage

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryDiscardMessage

All Implemented Interfaces:
  Serializable

    public class TcpDiscoveryDiscardMessage
    extends TcpDiscoveryAbstractMessage

Message sent by coordinator when some operation handling is over. All receiving nodes should discard this and all preceding messages in local buffers.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CLIENT_ACK_FLAG_POS, CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, FORCE_FAIL_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryDiscardMessage(UUID creatorNodeId, IgniteUuid msgId, boolean customMsgDiscard)` Constructor.

### Method Summary

Methods
`boolean` `customMessageDiscard()` Flag indicating whether the ID to discard is for a custom message or not.
`IgniteUuid` `msgId()` Gets message ID to discard (this and all preceding).
`String` `toString()`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`addFailedNode, client, client, creatorNodeId, equals, failedNodes, failedNodes, force, force, getFlag, hashCode, highPriority, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, traceLogLevel, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpDiscoveryDiscardMessage

    public TcpDiscoveryDiscardMessage(UUID creatorNodeId,
                              IgniteUuid msgId,
                              boolean customMsgDiscard)

Constructor.

Parameters:
  `creatorNodeId` - Creator node ID.
  `msgId` - Message ID.
  `customMsgDiscard` - Flag indicating whether the ID to discard is for a custom message or not.

### Method Detail

#### msgId

    public IgniteUuid msgId()

Gets message ID to discard (this and all preceding).

Returns:
  Message ID.

#### customMessageDiscard

    public boolean customMessageDiscard()

Flag indicating whether the ID to discard is for a custom message or not.

Returns:
  Custom message flag.

#### toString

    public String toString()

Overrides:
  `toString` in class `TcpDiscoveryAbstractMessage`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017